Skip to main content
`Ctrl`+`K`

# EPSMonitorRegisterDestroyFn

A function prototype for functions that do the after use destruction when provided to `EPSMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode EPSMonitorRegisterDestroyFn(PetscViewerAndFormat **result);

## Calling Sequence

- vf - a `PetscViewerAndFormat` object to be destroyed, including any context

## See Also

EPS: Eigenvalue Problem Solver, `EPSMonitorRegisterFn`, `EPSMonitorSet()`, `EPSMonitorRegister()`, `EPSMonitorFn`, `EPSMonitorRegisterCreateFn`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages